<template>
  <q-page class="q-pa-sm">
    <div class="row q-col-gutter-sm q-py-sm" style="width: 100%">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <q-card class="text-grey-8" style="width: 100%">
          <q-card-section class="q-pa-none">
            <q-table class="no-shadow"
                     :data="data"
                     title="Jadwal Perkuliahan"
                     :hide-header="mode === 'grid'"
                     :columns="columns"
                     row-key="name"
                     :filter="filter"
                     :pagination.sync="pagination"
                     hide-bottom
            >
              <template v-slot:top-right="props">
                <q-btn
                  color="primary"
                  label="Import Jadwal"
                  no-caps
                  to="/baak/jadwal"
                  class="q-mr-md q-my-sm"
                />
                <q-btn
                  color="primary"
                  label="Tambah Jadwal"
                  no-caps
                  to="/baak/jadwal" 
                  class="q-ml-md q-my-sm"
                />
                <q-input borderless dense debounce="300" v-model="filter" placeholder="Cari">
                  <template v-slot:append>
                    <q-icon name="search"/>
                  </template>
                </q-input>
                

                
              </template>
              <template v-slot:body-cell-Action="props">
                <q-td :props="props">
                  <q-btn icon="edit" size="sm" flat dense/>
                  <q-btn icon="delete" size="sm" class="q-ml-sm" flat dense/>
                </q-td>
              </template>
            </q-table>
          </q-card-section>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
  export default {
    name: 'Laporan_BAAK',
    data() {
      return {
                filter: '',
                mode: 'list',
                columns: [
                    {
                      name: 'hari', 
                      align: 'left', 
                      label: 'Hari', 
                      field: 'hari', 
                      sortable: true
                    },
                    {
                      name: 'kode_mk', 
                      align: 'left', 
                      label: 'Kode MK', 
                      field: 'kode_mk', 
                      sortable: true
                    },
                    {
                        name: 'sesi',
                        align: 'left',
                        label: 'Sesi',
                        field: 'sesi',
                        sortable: true
                    },
                    {
                        name: 'jenis_sesi',
                        align: 'left',
                        label: 'Jenis_Sesi',
                        field: 'jenis_sesi',
                        sortable: true
                    },
                    {
                        name: 'ruangan',
                        align: 'left',
                        label: 'Ruangan',
                        field: 'ruangan',
                        sortable: true
                    },
                    {
                        name: 'kelas',
                        align: 'left',
                        label: 'Kelas',
                        field: 'kelas',
                        sortable: true
                    },
                    {
                      name: 'Action', 
                      label: 'Aksi', 
                      field: 'Action', 
                      sortable: false, 
                      align: 'center'}
                
                ],
                data: [
                    {
                      hari: 'Senin',
                      kode_mk: 'KU42201',
                      sesi: '1',  
                      jenis_sesi: 'T',
                      ruangan: '914', 
                      kelas: '42 TRPL'
                    },
                ],

            }
        },
}
</script>